Subject: bug#18626: 24.3.94; communication with subprocess is slow

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Oct 2014 17:43:27 +0300

> From: Stephen Leake <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 05 Oct 2014 08:41:08 -0500
> 
> (find-file "xdisp.c")
> (pipe-torture
> "/home/Projects/org.emacs.ada-mode.stephe-1/build/wisi/debug_counted"
> "4096" "974230")
> 
> 0.344027
> 
> This is comparable to the time on Windows with a large buffer in the
> subprocess. So apparently it is not using the same delay in
> send_process. Or the IO system is providing a large buffer.

Evidently, subprocess I/O is more efficient on GNU/Linux than it is on
Windows.  Perhaps this is related to the fact that by default
GNU/Linux uses PTYs for that, not pipes.  Did you try your experiments
with process-connection-type bound to nil?